package com.srs.comprehensive.service;

import com.srs.comprehensive.domain.CphStuEvaTask;
import com.srs.comprehensive.domain.Dto.CphEvaStuPub;
import com.srs.comprehensive.domain.Vo.ClassIdName;
import com.srs.comprehensive.domain.Vo.StuNoName;
import com.srs.comprehensive.domain.Vo.StuYearIdName;

import java.util.List;

/**
 * 综合评价评定小组任务Service接口
 * 
 * @author srs
 * @date 2023-08-19
 */
public interface ICphStuEvaTaskService 
{

    public int pubTask(CphEvaStuPub param);

    /**
     * 通过班级列出学生
     * @author zhy
     * @date 2023-08-19 15:41:59
     * @param id
     * @return
     **/
    public List<StuNoName> listOwnStuByClass(Long id);

    public List<StuYearIdName> listStuYear();

    /**
     * 列出自己的班级
     * @author zhy
     * @date 2023-08-19 15:24:20
     * @param tno
     * @return
     **/
    public List<ClassIdName> listOwnClass(String tno);


    /**
     * 查询综合评价评定小组任务
     * 
     * @param id 综合评价评定小组任务主键
     * @return 综合评价评定小组任务
     */
    public CphStuEvaTask selectCphStuEvaTaskById(Long id);

    /**
     * 查询综合评价评定小组任务列表
     * 
     * @param cphStuEvaTask 综合评价评定小组任务
     * @return 综合评价评定小组任务集合
     */
    public List<CphStuEvaTask> selectCphStuEvaTaskList(CphStuEvaTask cphStuEvaTask);

    /**
     * 新增综合评价评定小组任务
     * 
     * @param cphStuEvaTask 综合评价评定小组任务
     * @return 结果
     */
    public int insertCphStuEvaTask(CphStuEvaTask cphStuEvaTask);

    /**
     * 修改综合评价评定小组任务
     * 
     * @param cphStuEvaTask 综合评价评定小组任务
     * @return 结果
     */
    public int updateCphStuEvaTask(CphStuEvaTask cphStuEvaTask);

    /**
     * 批量删除综合评价评定小组任务
     * 
     * @param ids 需要删除的综合评价评定小组任务主键集合
     * @return 结果
     */
    public int deleteCphStuEvaTaskByIds(Long[] ids);

    /**
     * 删除综合评价评定小组任务信息
     * 
     * @param id 综合评价评定小组任务主键
     * @return 结果
     */
    public int deleteCphStuEvaTaskById(Long id);
}
